Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPainterPath.ElementType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPainterPath.ElementType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPainterPath

    public static final class QPainterPath.ElementType

extends java.lang.Enum
implements QtEnumerator

This enum describes the types of elements used to connect vertices in subpaths.

Note that elements added as closed subpaths using the `addEllipse()`, `addPath()`, `addPolygon()`, `addRect()`, `addRegion()` and `addText()` convenience functions, is actually added to the path as a collection of separate elements using the `moveTo()`, `lineTo()` and `cubicTo()` functions.

See also:
  `elementAt()`, and `elementCount()`.

See Also:
  Serialized Form

Field Summary
`static QPainterPath.ElementType` | `CurveToDataElement` The extra data required to describe a curve in a `CurveToElement` element.
`static QPainterPath.ElementType` | `CurveToElement` A curve.
`static QPainterPath.ElementType` | `LineToElement` A line.
`static QPainterPath.ElementType` | `MoveToElement` A new subpath.

Method Summary
`static QPainterPath.ElementType` | `resolve(int value)` Returns the QPainterPath$ElementType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPainterPath.ElementType` | `valueOf(java.lang.String name)`
`static QPainterPath.ElementType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MoveToElement

    public static final QPainterPath.ElementType MoveToElement

  A new subpath. See also `moveTo()`.

### LineToElement

    public static final QPainterPath.ElementType LineToElement

  A line. See also `lineTo()`.

### CurveToElement

    public static final QPainterPath.ElementType CurveToElement

  A curve. See also `cubicTo()` and `quadTo()`.

### CurveToDataElement

    public static final QPainterPath.ElementType CurveToDataElement

  The extra data required to describe a curve in a `CurveToElement` element.

Method Detail

### values

    public static QPainterPath.ElementType[] values()

### valueOf

    public static QPainterPath.ElementType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPainterPath.ElementType resolve(int value)

  Returns the QPainterPath$ElementType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD